import XVideoModal from "../components/XVideoModal.vue";
import {createApp} from "vue";

const useXFunModal = (options) => {

    const container = document.createElement('div');
    document.body.appendChild(container);

    const app = createApp(XVideoModal, {
        options: options
    });

    const vm = app.mount(container);

    const {open} = vm;

    open();

    return {};
}

export default useXFunModal;
